// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\danim.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDA2Event extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{B90E525A-574A-11D1-8E7B-00C04FC29D46}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDA2Event.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDA2Event Object
     */
    public IDA2Event() throws COMException {
        super();
    }
    /**
     * Creates IDA2Event Object with progID
     */
    public IDA2Event(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDA2Event Object
     */
    public IDA2Event(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDA2Event Object with CLSID
     */
    public IDA2Event(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDAEvent Notify(IDAUntilNotifier notifier_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("Notify", new Object[]{notifier_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent Snapshot(IDABehavior b_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("Snapshot", new Object[]{b_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent AttachData(IDABehavior data_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("AttachData", new Object[]{data_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent ScriptCallback(java.lang.String scriptlet_0, java.lang.String language_1) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("ScriptCallback", new Object[]{scriptlet_0, language_1}, 2));
    }
    /**
     * 
     */
    public IDAEvent NotifyScript(java.lang.String scriptlet_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("NotifyScript", new Object[]{scriptlet_0}, 1));
    }
}
