// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDAStatics extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{542FB452-5003-11CF-92A2-00AA00B8A733}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDAStatics.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDAStatics Object
     */
    public IDAStatics() throws COMException {
        super();
    }
    /**
     * Creates IDAStatics Object with progID
     */
    public IDAStatics(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDAStatics Object
     */
    public IDAStatics(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDAStatics Object with CLSID
     */
    public IDAStatics(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String getVersionString() throws COMException {
        return (java.lang.String) get("VersionString");
    }
    /**
     * 
     */
    public IDASite getSite() throws COMException {
        return new IDASite((DispatchPtr) get("Site"));
    }
    /**
     * 
     */
    public void setSite(IDASite newSite) throws COMException {
        put("Site", newSite);
    }
    /**
     * 
     */
    public void setClientSite(ObjectRef newClientSite) throws COMException {
        put("ClientSite", newClientSite);
    }
    /**
     * 
     */
    public IUnknown getClientSite() throws COMException {
        return (IUnknown) get("ClientSite");
    }
    /**
     * 
     */
    public void setPixelConstructionMode(boolean newPixelConstructionMode) throws COMException {
        put("PixelConstructionMode", new java.lang.Boolean(newPixelConstructionMode));
    }
    /**
     * 
     */
    public boolean getPixelConstructionMode() throws COMException {
        return ((java.lang.Boolean) get("PixelConstructionMode")).booleanValue();
    }
    /**
     * 
     */
    public void TriggerEvent(IDAEvent event, IDABehavior Data) throws COMException {
        invokeN("TriggerEvent", new Object[]{event, Data}, 2);
    }
    /**
     * 
     */
    public IDADrawingSurface NewDrawingSurface() throws COMException {
        return new IDADrawingSurface((DispatchPtr) invoke("NewDrawingSurface"));
    }
    /**
     * 
     */
    public IDAImportationResult ImportMovie(java.lang.String url) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportMovie", new Object[]{url}, 1));
    }
    /**
     * 
     */
    public IDAImportationResult ImportMovieAsync(java.lang.String url, IDAImage pImageStandIn, IDASound pSoundStandIn) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportMovieAsync", new Object[]{url, pImageStandIn, pSoundStandIn}, 3));
    }
    /**
     * 
     */
    public IDAImage ImportImage(java.lang.String url) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ImportImage", new Object[]{url}, 1));
    }
    /**
     * 
     */
    public IDAImportationResult ImportImageAsync(java.lang.String url, IDAImage pImageStandIn) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportImageAsync", new Object[]{url, pImageStandIn}, 2));
    }
    /**
     * 
     */
    public IDAImage ImportImageColorKey(java.lang.String url, Object colorKeyRed, Object colorKeyGreen, Object colorKeyBlue) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ImportImageColorKey", new Object[]{url, colorKeyRed, colorKeyGreen, colorKeyBlue}, 4));
    }
    /**
     * 
     */
    public IDAImportationResult ImportImageAsyncColorKey(java.lang.String url, IDAImage pImageStandIn, Object colorKeyRed, Object colorKeyGreen, Object colorKeyBlue) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportImageAsyncColorKey", new Object[]{url, pImageStandIn, colorKeyRed, colorKeyGreen, colorKeyBlue}, 5));
    }
    /**
     * 
     */
    public IDAImportationResult ImportSound(java.lang.String url) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportSound", new Object[]{url}, 1));
    }
    /**
     * 
     */
    public IDAImportationResult ImportSoundAsync(java.lang.String url, IDASound pSoundStandIn) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportSoundAsync", new Object[]{url, pSoundStandIn}, 2));
    }
    /**
     * 
     */
    public IDAGeometry ImportGeometry(java.lang.String url) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("ImportGeometry", new Object[]{url}, 1));
    }
    /**
     * 
     */
    public IDAImportationResult ImportGeometryAsync(java.lang.String url, IDAGeometry pGeoStandIn) throws COMException {
        return new IDAImportationResult((DispatchPtr) invokeN("ImportGeometryAsync", new Object[]{url, pGeoStandIn}, 2));
    }
    /**
     * 
     */
    public IDAImage ImportDirectDrawSurface(IUnknown dds, IDAEvent updateEvent) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ImportDirectDrawSurface", new Object[]{dds, updateEvent}, 2));
    }
    /**
     * 
     */
    public IDABehavior Cond(IDABoolean c, IDABehavior i, IDABehavior e) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Cond", new Object[]{c, i, e}, 3));
    }
    /**
     * 
     */
    public IDAArray DAArrayEx(int s, ObjectRef pBvrs) throws COMException {
        return new IDAArray((DispatchPtr) invokeN("DAArrayEx", new Object[]{new java.lang.Integer(s), pBvrs}, 2));
    }
    /**
     * 
     */
    public IDAArray DAArray(java.lang.Object bvrs) throws COMException {
        return new IDAArray((DispatchPtr) invokeN("DAArray", new Object[]{bvrs}, 1));
    }
    /**
     * 
     */
    public IDATuple DATupleEx(int s, ObjectRef pBvrs) throws COMException {
        return new IDATuple((DispatchPtr) invokeN("DATupleEx", new Object[]{new java.lang.Integer(s), pBvrs}, 2));
    }
    /**
     * 
     */
    public IDATuple DATuple(java.lang.Object bvrs) throws COMException {
        return new IDATuple((DispatchPtr) invokeN("DATuple", new Object[]{bvrs}, 1));
    }
    /**
     * 
     */
    public IDABehavior ModifiableBehavior(IDABehavior orig) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("ModifiableBehavior", new Object[]{orig}, 1));
    }
    /**
     * 
     */
    public IDAArray UninitializedArray(IDAArray typeTmp) throws COMException {
        return new IDAArray((DispatchPtr) invokeN("UninitializedArray", new Object[]{typeTmp}, 1));
    }
    /**
     * 
     */
    public IDATuple UninitializedTuple(IDATuple typeTmp) throws COMException {
        return new IDATuple((DispatchPtr) invokeN("UninitializedTuple", new Object[]{typeTmp}, 1));
    }
    /**
     * 
     */
    public IDANumber NumberBSplineEx(int degree, int numKnots, ObjectRef knots, int numPts, ObjectRef ctrlPts, int numWts, ObjectRef weights, IDANumber evaluator) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("NumberBSplineEx", new Object[]{new java.lang.Integer(degree), new java.lang.Integer(numKnots), knots, new java.lang.Integer(numPts), ctrlPts, new java.lang.Integer(numWts), weights, evaluator}, 8));
    }
    /**
     * 
     */
    public IDANumber NumberBSpline(int degree, java.lang.Object knots, java.lang.Object ctrlPts, java.lang.Object weights, IDANumber evaluator) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("NumberBSpline", new Object[]{new java.lang.Integer(degree), knots, ctrlPts, weights, evaluator}, 5));
    }
    /**
     * 
     */
    public IDAPoint2 Point2BSplineEx(int degree, int numKnots, ObjectRef knots, int numPts, ObjectRef ctrlPts, int numWts, ObjectRef weights, IDANumber evaluator) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("Point2BSplineEx", new Object[]{new java.lang.Integer(degree), new java.lang.Integer(numKnots), knots, new java.lang.Integer(numPts), ctrlPts, new java.lang.Integer(numWts), weights, evaluator}, 8));
    }
    /**
     * 
     */
    public IDAPoint2 Point2BSpline(int degree, java.lang.Object knots, java.lang.Object ctrlPts, java.lang.Object weights, IDANumber evaluator) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("Point2BSpline", new Object[]{new java.lang.Integer(degree), knots, ctrlPts, weights, evaluator}, 5));
    }
    /**
     * 
     */
    public IDAPoint3 Point3BSplineEx(int degree, int numKnots, ObjectRef knots, int numPts, ObjectRef ctrlPts, int numWts, ObjectRef weights, IDANumber evaluator) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("Point3BSplineEx", new Object[]{new java.lang.Integer(degree), new java.lang.Integer(numKnots), knots, new java.lang.Integer(numPts), ctrlPts, new java.lang.Integer(numWts), weights, evaluator}, 8));
    }
    /**
     * 
     */
    public IDAPoint3 Point3BSpline(int degree, java.lang.Object knots, java.lang.Object ctrlPts, java.lang.Object weights, IDANumber evaluator) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("Point3BSpline", new Object[]{new java.lang.Integer(degree), knots, ctrlPts, weights, evaluator}, 5));
    }
    /**
     * 
     */
    public IDAVector2 Vector2BSplineEx(int degree, int numKnots, ObjectRef knots, int numPts, ObjectRef ctrlPts, int numWts, ObjectRef weights, IDANumber evaluator) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2BSplineEx", new Object[]{new java.lang.Integer(degree), new java.lang.Integer(numKnots), knots, new java.lang.Integer(numPts), ctrlPts, new java.lang.Integer(numWts), weights, evaluator}, 8));
    }
    /**
     * 
     */
    public IDAVector2 Vector2BSpline(int degree, java.lang.Object knots, java.lang.Object ctrlPts, java.lang.Object weights, IDANumber evaluator) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2BSpline", new Object[]{new java.lang.Integer(degree), knots, ctrlPts, weights, evaluator}, 5));
    }
    /**
     * 
     */
    public IDAVector3 Vector3BSplineEx(int degree, int numKnots, ObjectRef knots, int numPts, ObjectRef ctrlPts, int numWts, ObjectRef weights, IDANumber evaluator) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("Vector3BSplineEx", new Object[]{new java.lang.Integer(degree), new java.lang.Integer(numKnots), knots, new java.lang.Integer(numPts), ctrlPts, new java.lang.Integer(numWts), weights, evaluator}, 8));
    }
    /**
     * 
     */
    public IDAVector3 Vector3BSpline(int degree, java.lang.Object knots, java.lang.Object ctrlPts, java.lang.Object weights, IDANumber evaluator) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("Vector3BSpline", new Object[]{new java.lang.Integer(degree), knots, ctrlPts, weights, evaluator}, 5));
    }
    /**
     * 
     */
    public IDANumber Pow(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Pow", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Abs(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Abs", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Sqrt(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Sqrt", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Floor(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Floor", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Round(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Round", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Ceiling(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Ceiling", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Asin(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Asin", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Acos(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Acos", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Atan(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Atan", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Sin(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Sin", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Cos(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Cos", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Tan(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Tan", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Exp(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Exp", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Ln(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Ln", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Log10(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Log10", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber ToDegrees(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("ToDegrees", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber ToRadians(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("ToRadians", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Mod(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Mod", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Atan2(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Atan2", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Add(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Add", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Sub(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Sub", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Mul(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Mul", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Div(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Div", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean LT(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("LT", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean LTE(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("LTE", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean GT(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("GT", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean GTE(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("GTE", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean EQ(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("EQ", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean NE(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("NE", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDANumber Neg(IDANumber a_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Neg", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber InterpolateAnim(IDANumber from_0, IDANumber to_1, IDANumber duration_2) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("InterpolateAnim", new Object[]{from_0, to_1, duration_2}, 3));
    }
    /**
     * 
     */
    public IDANumber Interpolate(double from_0, double to_1, double duration_2) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Interpolate", new Object[]{new java.lang.Double(from_0), new java.lang.Double(to_1), new java.lang.Double(duration_2)}, 3));
    }
    /**
     * 
     */
    public IDANumber SlowInSlowOutAnim(IDANumber from_0, IDANumber to_1, IDANumber duration_2, IDANumber sharpness_3) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("SlowInSlowOutAnim", new Object[]{from_0, to_1, duration_2, sharpness_3}, 4));
    }
    /**
     * 
     */
    public IDANumber SlowInSlowOut(double from_0, double to_1, double duration_2, double sharpness_3) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("SlowInSlowOut", new Object[]{new java.lang.Double(from_0), new java.lang.Double(to_1), new java.lang.Double(duration_2), new java.lang.Double(sharpness_3)}, 4));
    }
    /**
     * 
     */
    public IDAGeometry SoundSource(IDASound snd_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SoundSource", new Object[]{snd_0}, 1));
    }
    /**
     * 
     */
    public IDASound Mix(IDASound left_0, IDASound right_1) throws COMException {
        return new IDASound((DispatchPtr) invokeN("Mix", new Object[]{left_0, right_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean And(IDABoolean a_0, IDABoolean b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("And", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean Or(IDABoolean a_0, IDABoolean b_1) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("Or", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDABoolean Not(IDABoolean a_0) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("Not", new Object[]{a_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Integral(IDANumber b_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Integral", new Object[]{b_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Derivative(IDANumber b_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("Derivative", new Object[]{b_0}, 1));
    }
    /**
     * 
     */
    public IDAVector2 IntegralVector2(IDAVector2 v_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("IntegralVector2", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector3 IntegralVector3(IDAVector3 v_0) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("IntegralVector3", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector2 DerivativeVector2(IDAVector2 v_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("DerivativeVector2", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector3 DerivativeVector3(IDAVector3 v_0) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("DerivativeVector3", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector2 DerivativePoint2(IDAPoint2 v_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("DerivativePoint2", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector3 DerivativePoint3(IDAPoint3 v_0) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("DerivativePoint3", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDABoolean KeyState(IDANumber n_0) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("KeyState", new Object[]{n_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent KeyUp(int arg_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("KeyUp", new Object[]{new java.lang.Integer(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDAEvent KeyDown(int arg_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("KeyDown", new Object[]{new java.lang.Integer(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDANumber DANumber(double num_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DANumber", new Object[]{new java.lang.Double(num_0)}, 1));
    }
    /**
     * 
     */
    public IDAString DAString(java.lang.String str_0) throws COMException {
        return new IDAString((DispatchPtr) invokeN("DAString", new Object[]{str_0}, 1));
    }
    /**
     * 
     */
    public IDABoolean DABoolean(boolean num_0) throws COMException {
        return new IDABoolean((DispatchPtr) invokeN("DABoolean", new Object[]{new java.lang.Boolean(num_0)}, 1));
    }
    /**
     * 
     */
    public IDANumber SeededRandom(double arg_0) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("SeededRandom", new Object[]{new java.lang.Double(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDAPoint2 getMousePosition() throws COMException {
        return new IDAPoint2((DispatchPtr) get("MousePosition"));
    }
    /**
     * 
     */
    public IDABoolean getLeftButtonState() throws COMException {
        return new IDABoolean((DispatchPtr) get("LeftButtonState"));
    }
    /**
     * 
     */
    public IDABoolean getRightButtonState() throws COMException {
        return new IDABoolean((DispatchPtr) get("RightButtonState"));
    }
    /**
     * 
     */
    public IDABoolean getDATrue() throws COMException {
        return new IDABoolean((DispatchPtr) get("DATrue"));
    }
    /**
     * 
     */
    public IDABoolean getDAFalse() throws COMException {
        return new IDABoolean((DispatchPtr) get("DAFalse"));
    }
    /**
     * 
     */
    public IDANumber getLocalTime() throws COMException {
        return new IDANumber((DispatchPtr) get("LocalTime"));
    }
    /**
     * 
     */
    public IDANumber getGlobalTime() throws COMException {
        return new IDANumber((DispatchPtr) get("GlobalTime"));
    }
    /**
     * 
     */
    public IDANumber getPixel() throws COMException {
        return new IDANumber((DispatchPtr) get("Pixel"));
    }
    /**
     * 
     */
    public IDAUserData UserData(IUnknown data_0) throws COMException {
        return new IDAUserData((DispatchPtr) invokeN("UserData", new Object[]{data_0}, 1));
    }
    /**
     * 
     */
    public IDABehavior UntilNotify(IDABehavior b0_0, IDAEvent event_1, IDAUntilNotifier notifier_2) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("UntilNotify", new Object[]{b0_0, event_1, notifier_2}, 3));
    }
    /**
     * 
     */
    public IDABehavior Until(IDABehavior b0_0, IDAEvent event_1, IDABehavior b1_2) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Until", new Object[]{b0_0, event_1, b1_2}, 3));
    }
    /**
     * 
     */
    public IDABehavior UntilEx(IDABehavior b0_0, IDAEvent event_1) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("UntilEx", new Object[]{b0_0, event_1}, 2));
    }
    /**
     * 
     */
    public IDABehavior Sequence(IDABehavior s1_0, IDABehavior s2_1) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Sequence", new Object[]{s1_0, s2_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPath(IDAPath2 path_0, double duration_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPath", new Object[]{path_0, new java.lang.Double(duration_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAngle(IDAPath2 path_0, double duration_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAngle", new Object[]{path_0, new java.lang.Double(duration_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAngleUpright(IDAPath2 path_0, double duration_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAngleUpright", new Object[]{path_0, new java.lang.Double(duration_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathEval(IDAPath2 path_0, IDANumber eval_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathEval", new Object[]{path_0, eval_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAngleEval(IDAPath2 path_0, IDANumber eval_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAngleEval", new Object[]{path_0, eval_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAngleUprightEval(IDAPath2 path_0, IDANumber eval_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAngleUprightEval", new Object[]{path_0, eval_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAnim(IDAPath2 obsoleted1_0, IDANumber obsoleted2_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAnim", new Object[]{obsoleted1_0, obsoleted2_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAngleAnim(IDAPath2 obsoleted1_0, IDANumber obsoleted2_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAngleAnim", new Object[]{obsoleted1_0, obsoleted2_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 FollowPathAngleUprightAnim(IDAPath2 obsoleted1_0, IDANumber obsoleted2_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("FollowPathAngleUprightAnim", new Object[]{obsoleted1_0, obsoleted2_1}, 2));
    }
    /**
     * 
     */
    public IDAString ConcatString(IDAString s1_0, IDAString s2_1) throws COMException {
        return new IDAString((DispatchPtr) invokeN("ConcatString", new Object[]{s1_0, s2_1}, 2));
    }
    /**
     * 
     */
    public IDACamera PerspectiveCamera(double focalDist_0, double nearClip_1) throws COMException {
        return new IDACamera((DispatchPtr) invokeN("PerspectiveCamera", new Object[]{new java.lang.Double(focalDist_0), new java.lang.Double(nearClip_1)}, 2));
    }
    /**
     * 
     */
    public IDACamera PerspectiveCameraAnim(IDANumber focalDist_0, IDANumber nearClip_1) throws COMException {
        return new IDACamera((DispatchPtr) invokeN("PerspectiveCameraAnim", new Object[]{focalDist_0, nearClip_1}, 2));
    }
    /**
     * 
     */
    public IDACamera ParallelCamera(double nearClip_0) throws COMException {
        return new IDACamera((DispatchPtr) invokeN("ParallelCamera", new Object[]{new java.lang.Double(nearClip_0)}, 1));
    }
    /**
     * 
     */
    public IDACamera ParallelCameraAnim(IDANumber nearClip_0) throws COMException {
        return new IDACamera((DispatchPtr) invokeN("ParallelCameraAnim", new Object[]{nearClip_0}, 1));
    }
    /**
     * 
     */
    public IDAColor ColorRgbAnim(IDANumber red_0, IDANumber green_1, IDANumber blue_2) throws COMException {
        return new IDAColor((DispatchPtr) invokeN("ColorRgbAnim", new Object[]{red_0, green_1, blue_2}, 3));
    }
    /**
     * 
     */
    public IDAColor ColorRgb(double red_0, double green_1, double blue_2) throws COMException {
        return new IDAColor((DispatchPtr) invokeN("ColorRgb", new Object[]{new java.lang.Double(red_0), new java.lang.Double(green_1), new java.lang.Double(blue_2)}, 3));
    }
    /**
     * 
     */
    public IDAColor ColorRgb255(short red_0, short green_1, short blue_2) throws COMException {
        return new IDAColor((DispatchPtr) invokeN("ColorRgb255", new Object[]{new java.lang.Short(red_0), new java.lang.Short(green_1), new java.lang.Short(blue_2)}, 3));
    }
    /**
     * 
     */
    public IDAColor ColorHsl(double hue_0, double saturation_1, double lum_2) throws COMException {
        return new IDAColor((DispatchPtr) invokeN("ColorHsl", new Object[]{new java.lang.Double(hue_0), new java.lang.Double(saturation_1), new java.lang.Double(lum_2)}, 3));
    }
    /**
     * 
     */
    public IDAColor ColorHslAnim(IDANumber hue_0, IDANumber saturation_1, IDANumber lum_2) throws COMException {
        return new IDAColor((DispatchPtr) invokeN("ColorHslAnim", new Object[]{hue_0, saturation_1, lum_2}, 3));
    }
    /**
     * 
     */
    public IDAColor getRed() throws COMException {
        return new IDAColor((DispatchPtr) get("Red"));
    }
    /**
     * 
     */
    public IDAColor getGreen() throws COMException {
        return new IDAColor((DispatchPtr) get("Green"));
    }
    /**
     * 
     */
    public IDAColor getBlue() throws COMException {
        return new IDAColor((DispatchPtr) get("Blue"));
    }
    /**
     * 
     */
    public IDAColor getCyan() throws COMException {
        return new IDAColor((DispatchPtr) get("Cyan"));
    }
    /**
     * 
     */
    public IDAColor getMagenta() throws COMException {
        return new IDAColor((DispatchPtr) get("Magenta"));
    }
    /**
     * 
     */
    public IDAColor getYellow() throws COMException {
        return new IDAColor((DispatchPtr) get("Yellow"));
    }
    /**
     * 
     */
    public IDAColor getBlack() throws COMException {
        return new IDAColor((DispatchPtr) get("Black"));
    }
    /**
     * 
     */
    public IDAColor getWhite() throws COMException {
        return new IDAColor((DispatchPtr) get("White"));
    }
    /**
     * 
     */
    public IDAColor getAqua() throws COMException {
        return new IDAColor((DispatchPtr) get("Aqua"));
    }
    /**
     * 
     */
    public IDAColor getFuchsia() throws COMException {
        return new IDAColor((DispatchPtr) get("Fuchsia"));
    }
    /**
     * 
     */
    public IDAColor getGray() throws COMException {
        return new IDAColor((DispatchPtr) get("Gray"));
    }
    /**
     * 
     */
    public IDAColor getLime() throws COMException {
        return new IDAColor((DispatchPtr) get("Lime"));
    }
    /**
     * 
     */
    public IDAColor getMaroon() throws COMException {
        return new IDAColor((DispatchPtr) get("Maroon"));
    }
    /**
     * 
     */
    public IDAColor getNavy() throws COMException {
        return new IDAColor((DispatchPtr) get("Navy"));
    }
    /**
     * 
     */
    public IDAColor getOlive() throws COMException {
        return new IDAColor((DispatchPtr) get("Olive"));
    }
    /**
     * 
     */
    public IDAColor getPurple() throws COMException {
        return new IDAColor((DispatchPtr) get("Purple"));
    }
    /**
     * 
     */
    public IDAColor getSilver() throws COMException {
        return new IDAColor((DispatchPtr) get("Silver"));
    }
    /**
     * 
     */
    public IDAColor getTeal() throws COMException {
        return new IDAColor((DispatchPtr) get("Teal"));
    }
    /**
     * 
     */
    public IDAEvent Predicate(IDABoolean b_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("Predicate", new Object[]{b_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent NotEvent(IDAEvent event_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("NotEvent", new Object[]{event_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent AndEvent(IDAEvent e1_0, IDAEvent e2_1) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("AndEvent", new Object[]{e1_0, e2_1}, 2));
    }
    /**
     * 
     */
    public IDAEvent OrEvent(IDAEvent e1_0, IDAEvent e2_1) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("OrEvent", new Object[]{e1_0, e2_1}, 2));
    }
    /**
     * 
     */
    public IDAEvent ThenEvent(IDAEvent e1_0, IDAEvent e2_1) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("ThenEvent", new Object[]{e1_0, e2_1}, 2));
    }
    /**
     * 
     */
    public IDAEvent getLeftButtonDown() throws COMException {
        return new IDAEvent((DispatchPtr) get("LeftButtonDown"));
    }
    /**
     * 
     */
    public IDAEvent getLeftButtonUp() throws COMException {
        return new IDAEvent((DispatchPtr) get("LeftButtonUp"));
    }
    /**
     * 
     */
    public IDAEvent getRightButtonDown() throws COMException {
        return new IDAEvent((DispatchPtr) get("RightButtonDown"));
    }
    /**
     * 
     */
    public IDAEvent getRightButtonUp() throws COMException {
        return new IDAEvent((DispatchPtr) get("RightButtonUp"));
    }
    /**
     * 
     */
    public IDAEvent getAlways() throws COMException {
        return new IDAEvent((DispatchPtr) get("Always"));
    }
    /**
     * 
     */
    public IDAEvent getNever() throws COMException {
        return new IDAEvent((DispatchPtr) get("Never"));
    }
    /**
     * 
     */
    public IDAEvent TimerAnim(IDANumber n_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("TimerAnim", new Object[]{n_0}, 1));
    }
    /**
     * 
     */
    public IDAEvent Timer(double n_0) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("Timer", new Object[]{new java.lang.Double(n_0)}, 1));
    }
    /**
     * 
     */
    public IDAEvent AppTriggeredEvent() throws COMException {
        return new IDAEvent((DispatchPtr) invoke("AppTriggeredEvent"));
    }
    /**
     * 
     */
    public IDAEvent ScriptCallback(java.lang.String obsolete1_0, IDAEvent obsolete2_1, java.lang.String obsolete3_2) throws COMException {
        return new IDAEvent((DispatchPtr) invokeN("ScriptCallback", new Object[]{obsolete1_0, obsolete2_1, obsolete3_2}, 3));
    }
    /**
     * 
     */
    public IDAGeometry getEmptyGeometry() throws COMException {
        return new IDAGeometry((DispatchPtr) get("EmptyGeometry"));
    }
    /**
     * 
     */
    public IDAGeometry UnionGeometry(IDAGeometry g1_0, IDAGeometry g2_1) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("UnionGeometry", new Object[]{g1_0, g2_1}, 2));
    }
    /**
     * 
     */
    public IDAGeometry UnionGeometryArrayEx(int imgs_0size, ObjectRef imgs_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("UnionGeometryArrayEx", new Object[]{new java.lang.Integer(imgs_0size), imgs_0}, 2));
    }
    /**
     * 
     */
    public IDAGeometry UnionGeometryArray(java.lang.Object imgs_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("UnionGeometryArray", new Object[]{imgs_0}, 1));
    }
    /**
     * 
     */
    public IDAImage getEmptyImage() throws COMException {
        return new IDAImage((DispatchPtr) get("EmptyImage"));
    }
    /**
     * 
     */
    public IDAImage getDetectableEmptyImage() throws COMException {
        return new IDAImage((DispatchPtr) get("DetectableEmptyImage"));
    }
    /**
     * 
     */
    public IDAImage SolidColorImage(IDAColor col_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("SolidColorImage", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAImage GradientPolygonEx(int points_0size, ObjectRef points_0, int colors_1size, ObjectRef colors_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("GradientPolygonEx", new Object[]{new java.lang.Integer(points_0size), points_0, new java.lang.Integer(colors_1size), colors_1}, 4));
    }
    /**
     * 
     */
    public IDAImage GradientPolygon(java.lang.Object points_0, java.lang.Object colors_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("GradientPolygon", new Object[]{points_0, colors_1}, 2));
    }
    /**
     * 
     */
    public IDAImage RadialGradientPolygonEx(IDAColor inner_0, IDAColor outer_1, int points_2size, ObjectRef points_2, double fallOff_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientPolygonEx", new Object[]{inner_0, outer_1, new java.lang.Integer(points_2size), points_2, new java.lang.Double(fallOff_3)}, 5));
    }
    /**
     * 
     */
    public IDAImage RadialGradientPolygon(IDAColor inner_0, IDAColor outer_1, java.lang.Object points_2, double fallOff_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientPolygon", new Object[]{inner_0, outer_1, points_2, new java.lang.Double(fallOff_3)}, 4));
    }
    /**
     * 
     */
    public IDAImage RadialGradientPolygonAnimEx(IDAColor inner_0, IDAColor outer_1, int points_2size, ObjectRef points_2, IDANumber fallOff_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientPolygonAnimEx", new Object[]{inner_0, outer_1, new java.lang.Integer(points_2size), points_2, fallOff_3}, 5));
    }
    /**
     * 
     */
    public IDAImage RadialGradientPolygonAnim(IDAColor inner_0, IDAColor outer_1, java.lang.Object points_2, IDANumber fallOff_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientPolygonAnim", new Object[]{inner_0, outer_1, points_2, fallOff_3}, 4));
    }
    /**
     * 
     */
    public IDAImage GradientSquare(IDAColor lowerLeft_0, IDAColor upperLeft_1, IDAColor upperRight_2, IDAColor lowerRight_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("GradientSquare", new Object[]{lowerLeft_0, upperLeft_1, upperRight_2, lowerRight_3}, 4));
    }
    /**
     * 
     */
    public IDAImage RadialGradientSquare(IDAColor inner_0, IDAColor outer_1, double fallOff_2) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientSquare", new Object[]{inner_0, outer_1, new java.lang.Double(fallOff_2)}, 3));
    }
    /**
     * 
     */
    public IDAImage RadialGradientSquareAnim(IDAColor inner_0, IDAColor outer_1, IDANumber fallOff_2) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientSquareAnim", new Object[]{inner_0, outer_1, fallOff_2}, 3));
    }
    /**
     * 
     */
    public IDAImage RadialGradientRegularPoly(IDAColor inner_0, IDAColor outer_1, double numEdges_2, double fallOff_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientRegularPoly", new Object[]{inner_0, outer_1, new java.lang.Double(numEdges_2), new java.lang.Double(fallOff_3)}, 4));
    }
    /**
     * 
     */
    public IDAImage RadialGradientRegularPolyAnim(IDAColor inner_0, IDAColor outer_1, IDANumber numEdges_2, IDANumber fallOff_3) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RadialGradientRegularPolyAnim", new Object[]{inner_0, outer_1, numEdges_2, fallOff_3}, 4));
    }
    /**
     * 
     */
    public IDAImage GradientHorizontal(IDAColor start_0, IDAColor stop_1, double fallOff_2) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("GradientHorizontal", new Object[]{start_0, stop_1, new java.lang.Double(fallOff_2)}, 3));
    }
    /**
     * 
     */
    public IDAImage GradientHorizontalAnim(IDAColor start_0, IDAColor stop_1, IDANumber fallOff_2) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("GradientHorizontalAnim", new Object[]{start_0, stop_1, fallOff_2}, 3));
    }
    /**
     * 
     */
    public IDAImage HatchHorizontal(IDAColor lineClr_0, double spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchHorizontal", new Object[]{lineClr_0, new java.lang.Double(spacing_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchHorizontalAnim(IDAColor lineClr_0, IDANumber spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchHorizontalAnim", new Object[]{lineClr_0, spacing_1}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchVertical(IDAColor lineClr_0, double spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchVertical", new Object[]{lineClr_0, new java.lang.Double(spacing_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchVerticalAnim(IDAColor lineClr_0, IDANumber spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchVerticalAnim", new Object[]{lineClr_0, spacing_1}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchForwardDiagonal(IDAColor lineClr_0, double spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchForwardDiagonal", new Object[]{lineClr_0, new java.lang.Double(spacing_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchForwardDiagonalAnim(IDAColor lineClr_0, IDANumber spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchForwardDiagonalAnim", new Object[]{lineClr_0, spacing_1}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchBackwardDiagonal(IDAColor lineClr_0, double spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchBackwardDiagonal", new Object[]{lineClr_0, new java.lang.Double(spacing_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchBackwardDiagonalAnim(IDAColor lineClr_0, IDANumber spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchBackwardDiagonalAnim", new Object[]{lineClr_0, spacing_1}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchCross(IDAColor lineClr_0, double spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchCross", new Object[]{lineClr_0, new java.lang.Double(spacing_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchCrossAnim(IDAColor lineClr_0, IDANumber spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchCrossAnim", new Object[]{lineClr_0, spacing_1}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchDiagonalCross(IDAColor lineClr_0, double spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchDiagonalCross", new Object[]{lineClr_0, new java.lang.Double(spacing_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage HatchDiagonalCrossAnim(IDAColor lineClr_0, IDANumber spacing_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("HatchDiagonalCrossAnim", new Object[]{lineClr_0, spacing_1}, 2));
    }
    /**
     * 
     */
    public IDAImage Overlay(IDAImage top_0, IDAImage bottom_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Overlay", new Object[]{top_0, bottom_1}, 2));
    }
    /**
     * 
     */
    public IDAImage OverlayArrayEx(int imgs_0size, ObjectRef imgs_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("OverlayArrayEx", new Object[]{new java.lang.Integer(imgs_0size), imgs_0}, 2));
    }
    /**
     * 
     */
    public IDAImage OverlayArray(java.lang.Object imgs_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("OverlayArray", new Object[]{imgs_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry getAmbientLight() throws COMException {
        return new IDAGeometry((DispatchPtr) get("AmbientLight"));
    }
    /**
     * 
     */
    public IDAGeometry getDirectionalLight() throws COMException {
        return new IDAGeometry((DispatchPtr) get("DirectionalLight"));
    }
    /**
     * 
     */
    public IDAGeometry getPointLight() throws COMException {
        return new IDAGeometry((DispatchPtr) get("PointLight"));
    }
    /**
     * 
     */
    public IDAGeometry SpotLightAnim(IDANumber fullcone_0, IDANumber cutoff_1) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpotLightAnim", new Object[]{fullcone_0, cutoff_1}, 2));
    }
    /**
     * 
     */
    public IDAGeometry SpotLight(IDANumber fullcone_0, double cutoff_1) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpotLight", new Object[]{fullcone_0, new java.lang.Double(cutoff_1)}, 2));
    }
    /**
     * 
     */
    public IDALineStyle getDefaultLineStyle() throws COMException {
        return new IDALineStyle((DispatchPtr) get("DefaultLineStyle"));
    }
    /**
     * 
     */
    public IDALineStyle getEmptyLineStyle() throws COMException {
        return new IDALineStyle((DispatchPtr) get("EmptyLineStyle"));
    }
    /**
     * 
     */
    public IDAJoinStyle getJoinStyleBevel() throws COMException {
        return new IDAJoinStyle((DispatchPtr) get("JoinStyleBevel"));
    }
    /**
     * 
     */
    public IDAJoinStyle getJoinStyleRound() throws COMException {
        return new IDAJoinStyle((DispatchPtr) get("JoinStyleRound"));
    }
    /**
     * 
     */
    public IDAJoinStyle getJoinStyleMiter() throws COMException {
        return new IDAJoinStyle((DispatchPtr) get("JoinStyleMiter"));
    }
    /**
     * 
     */
    public IDAEndStyle getEndStyleFlat() throws COMException {
        return new IDAEndStyle((DispatchPtr) get("EndStyleFlat"));
    }
    /**
     * 
     */
    public IDAEndStyle getEndStyleSquare() throws COMException {
        return new IDAEndStyle((DispatchPtr) get("EndStyleSquare"));
    }
    /**
     * 
     */
    public IDAEndStyle getEndStyleRound() throws COMException {
        return new IDAEndStyle((DispatchPtr) get("EndStyleRound"));
    }
    /**
     * 
     */
    public IDADashStyle getDashStyleSolid() throws COMException {
        return new IDADashStyle((DispatchPtr) get("DashStyleSolid"));
    }
    /**
     * 
     */
    public IDADashStyle getDashStyleDashed() throws COMException {
        return new IDADashStyle((DispatchPtr) get("DashStyleDashed"));
    }
    /**
     * 
     */
    public IDAMicrophone getDefaultMicrophone() throws COMException {
        return new IDAMicrophone((DispatchPtr) get("DefaultMicrophone"));
    }
    /**
     * 
     */
    public IDAMatte getOpaqueMatte() throws COMException {
        return new IDAMatte((DispatchPtr) get("OpaqueMatte"));
    }
    /**
     * 
     */
    public IDAMatte getClearMatte() throws COMException {
        return new IDAMatte((DispatchPtr) get("ClearMatte"));
    }
    /**
     * 
     */
    public IDAMatte UnionMatte(IDAMatte m1_0, IDAMatte m2_1) throws COMException {
        return new IDAMatte((DispatchPtr) invokeN("UnionMatte", new Object[]{m1_0, m2_1}, 2));
    }
    /**
     * 
     */
    public IDAMatte IntersectMatte(IDAMatte m1_0, IDAMatte m2_1) throws COMException {
        return new IDAMatte((DispatchPtr) invokeN("IntersectMatte", new Object[]{m1_0, m2_1}, 2));
    }
    /**
     * 
     */
    public IDAMatte DifferenceMatte(IDAMatte m1_0, IDAMatte m2_1) throws COMException {
        return new IDAMatte((DispatchPtr) invokeN("DifferenceMatte", new Object[]{m1_0, m2_1}, 2));
    }
    /**
     * 
     */
    public IDAMatte FillMatte(IDAPath2 p_0) throws COMException {
        return new IDAMatte((DispatchPtr) invokeN("FillMatte", new Object[]{p_0}, 1));
    }
    /**
     * 
     */
    public IDAMatte TextMatte(IDAString str_0, IDAFontStyle fs_1) throws COMException {
        return new IDAMatte((DispatchPtr) invokeN("TextMatte", new Object[]{str_0, fs_1}, 2));
    }
    /**
     * 
     */
    public IDAMontage getEmptyMontage() throws COMException {
        return new IDAMontage((DispatchPtr) get("EmptyMontage"));
    }
    /**
     * 
     */
    public IDAMontage ImageMontage(IDAImage im_0, double depth_1) throws COMException {
        return new IDAMontage((DispatchPtr) invokeN("ImageMontage", new Object[]{im_0, new java.lang.Double(depth_1)}, 2));
    }
    /**
     * 
     */
    public IDAMontage ImageMontageAnim(IDAImage im_0, IDANumber depth_1) throws COMException {
        return new IDAMontage((DispatchPtr) invokeN("ImageMontageAnim", new Object[]{im_0, depth_1}, 2));
    }
    /**
     * 
     */
    public IDAMontage UnionMontage(IDAMontage m1_0, IDAMontage m2_1) throws COMException {
        return new IDAMontage((DispatchPtr) invokeN("UnionMontage", new Object[]{m1_0, m2_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 Concat(IDAPath2 p1_0, IDAPath2 p2_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("Concat", new Object[]{p1_0, p2_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 ConcatArrayEx(int paths_0size, ObjectRef paths_0) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("ConcatArrayEx", new Object[]{new java.lang.Integer(paths_0size), paths_0}, 2));
    }
    /**
     * 
     */
    public IDAPath2 ConcatArray(java.lang.Object paths_0) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("ConcatArray", new Object[]{paths_0}, 1));
    }
    /**
     * 
     */
    public IDAPath2 Line(IDAPoint2 p1_0, IDAPoint2 p2_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("Line", new Object[]{p1_0, p2_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 Ray(IDAPoint2 pt_0) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("Ray", new Object[]{pt_0}, 1));
    }
    /**
     * 
     */
    public IDAPath2 StringPathAnim(IDAString str_0, IDAFontStyle fs_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("StringPathAnim", new Object[]{str_0, fs_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 StringPath(java.lang.String str_0, IDAFontStyle fs_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("StringPath", new Object[]{str_0, fs_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 PolylineEx(int points_0size, ObjectRef points_0) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("PolylineEx", new Object[]{new java.lang.Integer(points_0size), points_0}, 2));
    }
    /**
     * 
     */
    public IDAPath2 Polyline(java.lang.Object points_0) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("Polyline", new Object[]{points_0}, 1));
    }
    /**
     * 
     */
    public IDAPath2 PolydrawPathEx(int points_0size, ObjectRef points_0, int codes_1size, ObjectRef codes_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("PolydrawPathEx", new Object[]{new java.lang.Integer(points_0size), points_0, new java.lang.Integer(codes_1size), codes_1}, 4));
    }
    /**
     * 
     */
    public IDAPath2 PolydrawPath(java.lang.Object points_0, java.lang.Object codes_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("PolydrawPath", new Object[]{points_0, codes_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 ArcRadians(double startAngle_0, double endAngle_1, double arcWidth_2, double arcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("ArcRadians", new Object[]{new java.lang.Double(startAngle_0), new java.lang.Double(endAngle_1), new java.lang.Double(arcWidth_2), new java.lang.Double(arcHeight_3)}, 4));
    }
    /**
     * 
     */
    public IDAPath2 ArcRadiansAnim(IDANumber startAngle_0, IDANumber endAngle_1, IDANumber arcWidth_2, IDANumber arcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("ArcRadiansAnim", new Object[]{startAngle_0, endAngle_1, arcWidth_2, arcHeight_3}, 4));
    }
    /**
     * 
     */
    public IDAPath2 ArcDegrees(double startAngle_0, double endAngle_1, double arcWidth_2, double arcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("ArcDegrees", new Object[]{new java.lang.Double(startAngle_0), new java.lang.Double(endAngle_1), new java.lang.Double(arcWidth_2), new java.lang.Double(arcHeight_3)}, 4));
    }
    /**
     * 
     */
    public IDAPath2 PieRadians(double startAngle_0, double endAngle_1, double arcWidth_2, double arcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("PieRadians", new Object[]{new java.lang.Double(startAngle_0), new java.lang.Double(endAngle_1), new java.lang.Double(arcWidth_2), new java.lang.Double(arcHeight_3)}, 4));
    }
    /**
     * 
     */
    public IDAPath2 PieRadiansAnim(IDANumber startAngle_0, IDANumber endAngle_1, IDANumber arcWidth_2, IDANumber arcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("PieRadiansAnim", new Object[]{startAngle_0, endAngle_1, arcWidth_2, arcHeight_3}, 4));
    }
    /**
     * 
     */
    public IDAPath2 PieDegrees(double startAngle_0, double endAngle_1, double arcWidth_2, double arcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("PieDegrees", new Object[]{new java.lang.Double(startAngle_0), new java.lang.Double(endAngle_1), new java.lang.Double(arcWidth_2), new java.lang.Double(arcHeight_3)}, 4));
    }
    /**
     * 
     */
    public IDAPath2 Oval(double width_0, double height_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("Oval", new Object[]{new java.lang.Double(width_0), new java.lang.Double(height_1)}, 2));
    }
    /**
     * 
     */
    public IDAPath2 OvalAnim(IDANumber width_0, IDANumber height_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("OvalAnim", new Object[]{width_0, height_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 Rect(double width_0, double height_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("Rect", new Object[]{new java.lang.Double(width_0), new java.lang.Double(height_1)}, 2));
    }
    /**
     * 
     */
    public IDAPath2 RectAnim(IDANumber width_0, IDANumber height_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("RectAnim", new Object[]{width_0, height_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 RoundRect(double width_0, double height_1, double cornerArcWidth_2, double cornerArcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("RoundRect", new Object[]{new java.lang.Double(width_0), new java.lang.Double(height_1), new java.lang.Double(cornerArcWidth_2), new java.lang.Double(cornerArcHeight_3)}, 4));
    }
    /**
     * 
     */
    public IDAPath2 RoundRectAnim(IDANumber width_0, IDANumber height_1, IDANumber cornerArcWidth_2, IDANumber cornerArcHeight_3) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("RoundRectAnim", new Object[]{width_0, height_1, cornerArcWidth_2, cornerArcHeight_3}, 4));
    }
    /**
     * 
     */
    public IDAPath2 CubicBSplinePathEx(int points_0size, ObjectRef points_0, int knots_1size, ObjectRef knots_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("CubicBSplinePathEx", new Object[]{new java.lang.Integer(points_0size), points_0, new java.lang.Integer(knots_1size), knots_1}, 4));
    }
    /**
     * 
     */
    public IDAPath2 CubicBSplinePath(java.lang.Object points_0, java.lang.Object knots_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("CubicBSplinePath", new Object[]{points_0, knots_1}, 2));
    }
    /**
     * 
     */
    public IDAPath2 TextPath(IDAString obsolete1_0, IDAFontStyle obsolete2_1) throws COMException {
        return new IDAPath2((DispatchPtr) invokeN("TextPath", new Object[]{obsolete1_0, obsolete2_1}, 2));
    }
    /**
     * 
     */
    public IDASound getSilence() throws COMException {
        return new IDASound((DispatchPtr) get("Silence"));
    }
    /**
     * 
     */
    public IDASound MixArrayEx(int snds_0size, ObjectRef snds_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("MixArrayEx", new Object[]{new java.lang.Integer(snds_0size), snds_0}, 2));
    }
    /**
     * 
     */
    public IDASound MixArray(java.lang.Object snds_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("MixArray", new Object[]{snds_0}, 1));
    }
    /**
     * 
     */
    public IDASound getSinSynth() throws COMException {
        return new IDASound((DispatchPtr) get("SinSynth"));
    }
    /**
     * 
     */
    public IDAFontStyle getDefaultFont() throws COMException {
        return new IDAFontStyle((DispatchPtr) get("DefaultFont"));
    }
    /**
     * 
     */
    public IDAFontStyle FontAnim(IDAString str_0, IDANumber size_1, IDAColor col_2) throws COMException {
        return new IDAFontStyle((DispatchPtr) invokeN("FontAnim", new Object[]{str_0, size_1, col_2}, 3));
    }
    /**
     * 
     */
    public IDAFontStyle Font(java.lang.String str_0, double size_1, IDAColor col_2) throws COMException {
        return new IDAFontStyle((DispatchPtr) invokeN("Font", new Object[]{str_0, new java.lang.Double(size_1), col_2}, 3));
    }
    /**
     * 
     */
    public IDAImage StringImageAnim(IDAString str_0, IDAFontStyle fs_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("StringImageAnim", new Object[]{str_0, fs_1}, 2));
    }
    /**
     * 
     */
    public IDAImage StringImage(java.lang.String str_0, IDAFontStyle fs_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("StringImage", new Object[]{str_0, fs_1}, 2));
    }
    /**
     * 
     */
    public IDAImage TextImageAnim(IDAString obsoleted1_0, IDAFontStyle obsoleted2_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("TextImageAnim", new Object[]{obsoleted1_0, obsoleted2_1}, 2));
    }
    /**
     * 
     */
    public IDAImage TextImage(java.lang.String obsoleted1_0, IDAFontStyle obsoleted2_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("TextImage", new Object[]{obsoleted1_0, obsoleted2_1}, 2));
    }
    /**
     * 
     */
    public IDAVector2 getXVector2() throws COMException {
        return new IDAVector2((DispatchPtr) get("XVector2"));
    }
    /**
     * 
     */
    public IDAVector2 getYVector2() throws COMException {
        return new IDAVector2((DispatchPtr) get("YVector2"));
    }
    /**
     * 
     */
    public IDAVector2 getZeroVector2() throws COMException {
        return new IDAVector2((DispatchPtr) get("ZeroVector2"));
    }
    /**
     * 
     */
    public IDAPoint2 getOrigin2() throws COMException {
        return new IDAPoint2((DispatchPtr) get("Origin2"));
    }
    /**
     * 
     */
    public IDAVector2 Vector2Anim(IDANumber x_0, IDANumber y_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2Anim", new Object[]{x_0, y_1}, 2));
    }
    /**
     * 
     */
    public IDAVector2 Vector2(double x_0, double y_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1)}, 2));
    }
    /**
     * 
     */
    public IDAPoint2 Point2Anim(IDANumber x_0, IDANumber y_1) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("Point2Anim", new Object[]{x_0, y_1}, 2));
    }
    /**
     * 
     */
    public IDAPoint2 Point2(double x_0, double y_1) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("Point2", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1)}, 2));
    }
    /**
     * 
     */
    public IDAVector2 Vector2PolarAnim(IDANumber theta_0, IDANumber radius_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2PolarAnim", new Object[]{theta_0, radius_1}, 2));
    }
    /**
     * 
     */
    public IDAVector2 Vector2Polar(double theta_0, double radius_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2Polar", new Object[]{new java.lang.Double(theta_0), new java.lang.Double(radius_1)}, 2));
    }
    /**
     * 
     */
    public IDAVector2 Vector2PolarDegrees(double theta_0, double radius_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Vector2PolarDegrees", new Object[]{new java.lang.Double(theta_0), new java.lang.Double(radius_1)}, 2));
    }
    /**
     * 
     */
    public IDAPoint2 Point2PolarAnim(IDANumber theta_0, IDANumber radius_1) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("Point2PolarAnim", new Object[]{theta_0, radius_1}, 2));
    }
    /**
     * 
     */
    public IDAPoint2 Point2Polar(double theta_0, double radius_1) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("Point2Polar", new Object[]{new java.lang.Double(theta_0), new java.lang.Double(radius_1)}, 2));
    }
    /**
     * 
     */
    public IDANumber DotVector2(IDAVector2 v_0, IDAVector2 u_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DotVector2", new Object[]{v_0, u_1}, 2));
    }
    /**
     * 
     */
    public IDAVector2 NegVector2(IDAVector2 v_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("NegVector2", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector2 SubVector2(IDAVector2 v1_0, IDAVector2 v2_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("SubVector2", new Object[]{v1_0, v2_1}, 2));
    }
    /**
     * 
     */
    public IDAVector2 AddVector2(IDAVector2 v1_0, IDAVector2 v2_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("AddVector2", new Object[]{v1_0, v2_1}, 2));
    }
    /**
     * 
     */
    public IDAPoint2 AddPoint2Vector(IDAPoint2 p_0, IDAVector2 v_1) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("AddPoint2Vector", new Object[]{p_0, v_1}, 2));
    }
    /**
     * 
     */
    public IDAPoint2 SubPoint2Vector(IDAPoint2 p_0, IDAVector2 v_1) throws COMException {
        return new IDAPoint2((DispatchPtr) invokeN("SubPoint2Vector", new Object[]{p_0, v_1}, 2));
    }
    /**
     * 
     */
    public IDAVector2 SubPoint2(IDAPoint2 p1_0, IDAPoint2 p2_1) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("SubPoint2", new Object[]{p1_0, p2_1}, 2));
    }
    /**
     * 
     */
    public IDANumber DistancePoint2(IDAPoint2 p_0, IDAPoint2 q_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DistancePoint2", new Object[]{p_0, q_1}, 2));
    }
    /**
     * 
     */
    public IDANumber DistanceSquaredPoint2(IDAPoint2 p_0, IDAPoint2 q_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DistanceSquaredPoint2", new Object[]{p_0, q_1}, 2));
    }
    /**
     * 
     */
    public IDAVector3 getXVector3() throws COMException {
        return new IDAVector3((DispatchPtr) get("XVector3"));
    }
    /**
     * 
     */
    public IDAVector3 getYVector3() throws COMException {
        return new IDAVector3((DispatchPtr) get("YVector3"));
    }
    /**
     * 
     */
    public IDAVector3 getZVector3() throws COMException {
        return new IDAVector3((DispatchPtr) get("ZVector3"));
    }
    /**
     * 
     */
    public IDAVector3 getZeroVector3() throws COMException {
        return new IDAVector3((DispatchPtr) get("ZeroVector3"));
    }
    /**
     * 
     */
    public IDAPoint3 getOrigin3() throws COMException {
        return new IDAPoint3((DispatchPtr) get("Origin3"));
    }
    /**
     * 
     */
    public IDAVector3 Vector3Anim(IDANumber x_0, IDANumber y_1, IDANumber z_2) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("Vector3Anim", new Object[]{x_0, y_1, z_2}, 3));
    }
    /**
     * 
     */
    public IDAVector3 Vector3(double x_0, double y_1, double z_2) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("Vector3", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1), new java.lang.Double(z_2)}, 3));
    }
    /**
     * 
     */
    public IDAPoint3 Point3Anim(IDANumber x_0, IDANumber y_1, IDANumber z_2) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("Point3Anim", new Object[]{x_0, y_1, z_2}, 3));
    }
    /**
     * 
     */
    public IDAPoint3 Point3(double x_0, double y_1, double z_2) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("Point3", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1), new java.lang.Double(z_2)}, 3));
    }
    /**
     * 
     */
    public IDAVector3 Vector3SphericalAnim(IDANumber xyAngle_0, IDANumber yzAngle_1, IDANumber radius_2) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("Vector3SphericalAnim", new Object[]{xyAngle_0, yzAngle_1, radius_2}, 3));
    }
    /**
     * 
     */
    public IDAVector3 Vector3Spherical(double xyAngle_0, double yzAngle_1, double radius_2) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("Vector3Spherical", new Object[]{new java.lang.Double(xyAngle_0), new java.lang.Double(yzAngle_1), new java.lang.Double(radius_2)}, 3));
    }
    /**
     * 
     */
    public IDAPoint3 Point3SphericalAnim(IDANumber zxAngle_0, IDANumber xyAngle_1, IDANumber radius_2) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("Point3SphericalAnim", new Object[]{zxAngle_0, xyAngle_1, radius_2}, 3));
    }
    /**
     * 
     */
    public IDAPoint3 Point3Spherical(double zxAngle_0, double xyAngle_1, double radius_2) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("Point3Spherical", new Object[]{new java.lang.Double(zxAngle_0), new java.lang.Double(xyAngle_1), new java.lang.Double(radius_2)}, 3));
    }
    /**
     * 
     */
    public IDANumber DotVector3(IDAVector3 v_0, IDAVector3 u_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DotVector3", new Object[]{v_0, u_1}, 2));
    }
    /**
     * 
     */
    public IDAVector3 CrossVector3(IDAVector3 v_0, IDAVector3 u_1) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("CrossVector3", new Object[]{v_0, u_1}, 2));
    }
    /**
     * 
     */
    public IDAVector3 NegVector3(IDAVector3 v_0) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("NegVector3", new Object[]{v_0}, 1));
    }
    /**
     * 
     */
    public IDAVector3 SubVector3(IDAVector3 v1_0, IDAVector3 v2_1) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("SubVector3", new Object[]{v1_0, v2_1}, 2));
    }
    /**
     * 
     */
    public IDAVector3 AddVector3(IDAVector3 v1_0, IDAVector3 v2_1) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("AddVector3", new Object[]{v1_0, v2_1}, 2));
    }
    /**
     * 
     */
    public IDAPoint3 AddPoint3Vector(IDAPoint3 p_0, IDAVector3 v_1) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("AddPoint3Vector", new Object[]{p_0, v_1}, 2));
    }
    /**
     * 
     */
    public IDAPoint3 SubPoint3Vector(IDAPoint3 p_0, IDAVector3 v_1) throws COMException {
        return new IDAPoint3((DispatchPtr) invokeN("SubPoint3Vector", new Object[]{p_0, v_1}, 2));
    }
    /**
     * 
     */
    public IDAVector3 SubPoint3(IDAPoint3 p1_0, IDAPoint3 p2_1) throws COMException {
        return new IDAVector3((DispatchPtr) invokeN("SubPoint3", new Object[]{p1_0, p2_1}, 2));
    }
    /**
     * 
     */
    public IDANumber DistancePoint3(IDAPoint3 p_0, IDAPoint3 q_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DistancePoint3", new Object[]{p_0, q_1}, 2));
    }
    /**
     * 
     */
    public IDANumber DistanceSquaredPoint3(IDAPoint3 p_0, IDAPoint3 q_1) throws COMException {
        return new IDANumber((DispatchPtr) invokeN("DistanceSquaredPoint3", new Object[]{p_0, q_1}, 2));
    }
    /**
     * 
     */
    public IDATransform3 getIdentityTransform3() throws COMException {
        return new IDATransform3((DispatchPtr) get("IdentityTransform3"));
    }
    /**
     * 
     */
    public IDATransform3 Translate3Anim(IDANumber tx_0, IDANumber ty_1, IDANumber tz_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Translate3Anim", new Object[]{tx_0, ty_1, tz_2}, 3));
    }
    /**
     * 
     */
    public IDATransform3 Translate3(double tx_0, double ty_1, double tz_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Translate3", new Object[]{new java.lang.Double(tx_0), new java.lang.Double(ty_1), new java.lang.Double(tz_2)}, 3));
    }
    /**
     * 
     */
    public IDATransform3 Translate3Rate(double tx_0, double ty_1, double tz_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Translate3Rate", new Object[]{new java.lang.Double(tx_0), new java.lang.Double(ty_1), new java.lang.Double(tz_2)}, 3));
    }
    /**
     * 
     */
    public IDATransform3 Translate3Vector(IDAVector3 delta_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Translate3Vector", new Object[]{delta_0}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Translate3Point(IDAPoint3 new_origin_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Translate3Point", new Object[]{new_origin_0}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Scale3Anim(IDANumber x_0, IDANumber y_1, IDANumber z_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3Anim", new Object[]{x_0, y_1, z_2}, 3));
    }
    /**
     * 
     */
    public IDATransform3 Scale3(double x_0, double y_1, double z_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1), new java.lang.Double(z_2)}, 3));
    }
    /**
     * 
     */
    public IDATransform3 Scale3Rate(double x_0, double y_1, double z_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3Rate", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1), new java.lang.Double(z_2)}, 3));
    }
    /**
     * 
     */
    public IDATransform3 Scale3Vector(IDAVector3 scale_vec_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3Vector", new Object[]{scale_vec_0}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Scale3UniformAnim(IDANumber uniform_scale_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3UniformAnim", new Object[]{uniform_scale_0}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Scale3Uniform(double uniform_scale_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3Uniform", new Object[]{new java.lang.Double(uniform_scale_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Scale3UniformRate(double uniform_scale_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Scale3UniformRate", new Object[]{new java.lang.Double(uniform_scale_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Rotate3Anim(IDAVector3 axis_0, IDANumber angle_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Rotate3Anim", new Object[]{axis_0, angle_1}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Rotate3(IDAVector3 axis_0, double angle_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Rotate3", new Object[]{axis_0, new java.lang.Double(angle_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Rotate3Rate(IDAVector3 axis_0, double angle_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Rotate3Rate", new Object[]{axis_0, new java.lang.Double(angle_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Rotate3Degrees(IDAVector3 axis_0, double angle_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Rotate3Degrees", new Object[]{axis_0, new java.lang.Double(angle_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Rotate3RateDegrees(IDAVector3 axis_0, double angle_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Rotate3RateDegrees", new Object[]{axis_0, new java.lang.Double(angle_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 XShear3Anim(IDANumber a_0, IDANumber b_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("XShear3Anim", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDATransform3 XShear3(double a_0, double b_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("XShear3", new Object[]{new java.lang.Double(a_0), new java.lang.Double(b_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 XShear3Rate(double a_0, double b_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("XShear3Rate", new Object[]{new java.lang.Double(a_0), new java.lang.Double(b_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 YShear3Anim(IDANumber c_0, IDANumber d_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("YShear3Anim", new Object[]{c_0, d_1}, 2));
    }
    /**
     * 
     */
    public IDATransform3 YShear3(double c_0, double d_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("YShear3", new Object[]{new java.lang.Double(c_0), new java.lang.Double(d_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 YShear3Rate(double c_0, double d_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("YShear3Rate", new Object[]{new java.lang.Double(c_0), new java.lang.Double(d_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 ZShear3Anim(IDANumber e_0, IDANumber f_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("ZShear3Anim", new Object[]{e_0, f_1}, 2));
    }
    /**
     * 
     */
    public IDATransform3 ZShear3(double e_0, double f_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("ZShear3", new Object[]{new java.lang.Double(e_0), new java.lang.Double(f_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 ZShear3Rate(double e_0, double f_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("ZShear3Rate", new Object[]{new java.lang.Double(e_0), new java.lang.Double(f_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Transform4x4AnimEx(int m_0size, ObjectRef m_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Transform4x4AnimEx", new Object[]{new java.lang.Integer(m_0size), m_0}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Transform4x4Anim(java.lang.Object m_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Transform4x4Anim", new Object[]{m_0}, 1));
    }
    /**
     * 
     */
    public IDATransform3 Compose3(IDATransform3 a_0, IDATransform3 b_1) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Compose3", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Compose3ArrayEx(int xfs_0size, ObjectRef xfs_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Compose3ArrayEx", new Object[]{new java.lang.Integer(xfs_0size), xfs_0}, 2));
    }
    /**
     * 
     */
    public IDATransform3 Compose3Array(java.lang.Object xfs_0) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("Compose3Array", new Object[]{xfs_0}, 1));
    }
    /**
     * 
     */
    public IDATransform3 LookAtFrom(IDAPoint3 to_0, IDAPoint3 from_1, IDAVector3 up_2) throws COMException {
        return new IDATransform3((DispatchPtr) invokeN("LookAtFrom", new Object[]{to_0, from_1, up_2}, 3));
    }
    /**
     * 
     */
    public IDATransform2 getIdentityTransform2() throws COMException {
        return new IDATransform2((DispatchPtr) get("IdentityTransform2"));
    }
    /**
     * 
     */
    public IDATransform2 Translate2Anim(IDANumber tx_0, IDANumber ty_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Translate2Anim", new Object[]{tx_0, ty_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Translate2(double tx_0, double ty_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Translate2", new Object[]{new java.lang.Double(tx_0), new java.lang.Double(ty_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Translate2Rate(double tx_0, double ty_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Translate2Rate", new Object[]{new java.lang.Double(tx_0), new java.lang.Double(ty_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Translate2Vector(IDAVector2 delta_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Translate2Vector", new Object[]{delta_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Translate2Point(IDAPoint2 pos_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Translate2Point", new Object[]{pos_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Scale2Anim(IDANumber x_0, IDANumber y_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2Anim", new Object[]{x_0, y_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Scale2(double x_0, double y_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Scale2Rate(double x_0, double y_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2Rate", new Object[]{new java.lang.Double(x_0), new java.lang.Double(y_1)}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Scale2Vector2(IDAVector2 obsoleteMethod_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2Vector2", new Object[]{obsoleteMethod_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Scale2Vector(IDAVector2 scale_vec_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2Vector", new Object[]{scale_vec_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Scale2UniformAnim(IDANumber uniform_scale_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2UniformAnim", new Object[]{uniform_scale_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Scale2Uniform(double uniform_scale_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2Uniform", new Object[]{new java.lang.Double(uniform_scale_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Scale2UniformRate(double uniform_scale_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Scale2UniformRate", new Object[]{new java.lang.Double(uniform_scale_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Rotate2Anim(IDANumber angle_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Rotate2Anim", new Object[]{angle_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Rotate2(double angle_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Rotate2", new Object[]{new java.lang.Double(angle_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Rotate2Rate(double angle_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Rotate2Rate", new Object[]{new java.lang.Double(angle_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Rotate2Degrees(double angle_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Rotate2Degrees", new Object[]{new java.lang.Double(angle_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Rotate2RateDegrees(double angle_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Rotate2RateDegrees", new Object[]{new java.lang.Double(angle_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 XShear2Anim(IDANumber arg_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("XShear2Anim", new Object[]{arg_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 XShear2(double arg_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("XShear2", new Object[]{new java.lang.Double(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 XShear2Rate(double arg_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("XShear2Rate", new Object[]{new java.lang.Double(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 YShear2Anim(IDANumber arg_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("YShear2Anim", new Object[]{arg_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 YShear2(double arg_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("YShear2", new Object[]{new java.lang.Double(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 YShear2Rate(double arg_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("YShear2Rate", new Object[]{new java.lang.Double(arg_0)}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Transform3x2AnimEx(int m_0size, ObjectRef m_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Transform3x2AnimEx", new Object[]{new java.lang.Integer(m_0size), m_0}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Transform3x2Anim(java.lang.Object m_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Transform3x2Anim", new Object[]{m_0}, 1));
    }
    /**
     * 
     */
    public IDATransform2 Compose2(IDATransform2 a_0, IDATransform2 b_1) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Compose2", new Object[]{a_0, b_1}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Compose2ArrayEx(int xfs_0size, ObjectRef xfs_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Compose2ArrayEx", new Object[]{new java.lang.Integer(xfs_0size), xfs_0}, 2));
    }
    /**
     * 
     */
    public IDATransform2 Compose2Array(java.lang.Object xfs_0) throws COMException {
        return new IDATransform2((DispatchPtr) invokeN("Compose2Array", new Object[]{xfs_0}, 1));
    }
    /**
     * Obsolete method: Use DATuple instead
     */
    public IDATuple Tuple(java.lang.Object obsolete1) throws COMException {
        return new IDATuple((DispatchPtr) invokeN("Tuple", new Object[]{obsolete1}, 1));
    }
    /**
     * Obsolete method: Use DAArray instead
     */
    public IDAArray Array(java.lang.Object obsolete1) throws COMException {
        return new IDAArray((DispatchPtr) invokeN("Array", new Object[]{obsolete1}, 1));
    }
    /**
     * 
     */
    public boolean getAreBlockingImportsComplete() throws COMException {
        return ((java.lang.Boolean) get("AreBlockingImportsComplete")).booleanValue();
    }
}
