// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\MSWORD.OLB
// check for latest version at http://www.composiasoft.com

package Word;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class ListFormat extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{000209C0-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, ListFormat.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty ListFormat Object
     */
    public ListFormat() throws COMException {
        super();
    }
    /**
     * Creates ListFormat Object with progID
     */
    public ListFormat(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of ListFormat Object
     */
    public ListFormat(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates ListFormat Object with CLSID
     */
    public ListFormat(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public int getListLevelNumber() throws COMException {
        return ((java.lang.Integer) get("ListLevelNumber")).intValue();
    }
    /**
     * 
     */
    public void setListLevelNumber(int newListLevelNumber) throws COMException {
        put("ListLevelNumber", new java.lang.Integer(newListLevelNumber));
    }
    /**
     * 
     */
    public List getList() throws COMException {
        return new List((DispatchPtr) get("List"));
    }
    /**
     * 
     */
    public ListTemplate getListTemplate() throws COMException {
        return new ListTemplate((DispatchPtr) get("ListTemplate"));
    }
    /**
     * 
     */
    public int getListValue() throws COMException {
        return ((java.lang.Integer) get("ListValue")).intValue();
    }
    /**
     * 
     */
    public boolean getSingleList() throws COMException {
        return ((java.lang.Boolean) get("SingleList")).booleanValue();
    }
    /**
     * 
     */
    public boolean getSingleListTemplate() throws COMException {
        return ((java.lang.Boolean) get("SingleListTemplate")).booleanValue();
    }
    /**
     * 
     */
    public int getListType() throws COMException {
        return ((java.lang.Integer) get("ListType")).intValue();
    }
    /**
     * 
     */
    public java.lang.String getListString() throws COMException {
        return (java.lang.String) get("ListString");
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public int CanContinuePreviousList(ListTemplate ListTemplate) throws COMException {
        return ((java.lang.Integer) invokeN("CanContinuePreviousList", new Object[]{ListTemplate}, 1)).intValue();
    }
    /**
     * 
     */
    public void RemoveNumbers() throws COMException {
        invoke("RemoveNumbers");
    }
    public void RemoveNumbers(ObjectRef NumberType) throws COMException {
        invokeN("RemoveNumbers", new Object[]{NumberType}, 1);
    }
    /**
     * 
     */
    public void ConvertNumbersToText() throws COMException {
        invoke("ConvertNumbersToText");
    }
    public void ConvertNumbersToText(ObjectRef NumberType) throws COMException {
        invokeN("ConvertNumbersToText", new Object[]{NumberType}, 1);
    }
    /**
     * 
     */
    public int CountNumberedItems() throws COMException {
        return ((java.lang.Integer) invoke("CountNumberedItems")).intValue();
    }
    public int CountNumberedItems(ObjectRef NumberType) throws COMException {
        return ((java.lang.Integer) invokeN("CountNumberedItems", new Object[]{NumberType}, 1)).intValue();
    }
    public int CountNumberedItems(ObjectRef NumberType, ObjectRef Level) throws COMException {
        return ((java.lang.Integer) invokeN("CountNumberedItems", new Object[]{NumberType, Level}, 2)).intValue();
    }
    /**
     * 
     */
    public void ApplyBulletDefaultOld() throws COMException {
        invoke("ApplyBulletDefaultOld");
    }
    /**
     * 
     */
    public void ApplyNumberDefaultOld() throws COMException {
        invoke("ApplyNumberDefaultOld");
    }
    /**
     * 
     */
    public void ApplyOutlineNumberDefaultOld() throws COMException {
        invoke("ApplyOutlineNumberDefaultOld");
    }
    /**
     * 
     */
    public void ApplyListTemplateOld(ListTemplate ListTemplate) throws COMException {
        invokeN("ApplyListTemplateOld", new Object[]{ListTemplate}, 1);
    }
    public void ApplyListTemplateOld(ListTemplate ListTemplate, ObjectRef ContinuePreviousList) throws COMException {
        invokeN("ApplyListTemplateOld", new Object[]{ListTemplate, ContinuePreviousList}, 2);
    }
    public void ApplyListTemplateOld(ListTemplate ListTemplate, ObjectRef ContinuePreviousList, ObjectRef ApplyTo) throws COMException {
        invokeN("ApplyListTemplateOld", new Object[]{ListTemplate, ContinuePreviousList, ApplyTo}, 3);
    }
    /**
     * 
     */
    public void ListOutdent() throws COMException {
        invoke("ListOutdent");
    }
    /**
     * 
     */
    public void ListIndent() throws COMException {
        invoke("ListIndent");
    }
    /**
     * 
     */
    public void ApplyBulletDefault() throws COMException {
        invoke("ApplyBulletDefault");
    }
    public void ApplyBulletDefault(ObjectRef DefaultListBehavior) throws COMException {
        invokeN("ApplyBulletDefault", new Object[]{DefaultListBehavior}, 1);
    }
    /**
     * 
     */
    public void ApplyNumberDefault() throws COMException {
        invoke("ApplyNumberDefault");
    }
    public void ApplyNumberDefault(ObjectRef DefaultListBehavior) throws COMException {
        invokeN("ApplyNumberDefault", new Object[]{DefaultListBehavior}, 1);
    }
    /**
     * 
     */
    public void ApplyOutlineNumberDefault() throws COMException {
        invoke("ApplyOutlineNumberDefault");
    }
    public void ApplyOutlineNumberDefault(ObjectRef DefaultListBehavior) throws COMException {
        invokeN("ApplyOutlineNumberDefault", new Object[]{DefaultListBehavior}, 1);
    }
    /**
     * 
     */
    public void ApplyListTemplate(ListTemplate ListTemplate) throws COMException {
        invokeN("ApplyListTemplate", new Object[]{ListTemplate}, 1);
    }
    public void ApplyListTemplate(ListTemplate ListTemplate, ObjectRef ContinuePreviousList) throws COMException {
        invokeN("ApplyListTemplate", new Object[]{ListTemplate, ContinuePreviousList}, 2);
    }
    public void ApplyListTemplate(ListTemplate ListTemplate, ObjectRef ContinuePreviousList, ObjectRef ApplyTo) throws COMException {
        invokeN("ApplyListTemplate", new Object[]{ListTemplate, ContinuePreviousList, ApplyTo}, 3);
    }
    public void ApplyListTemplate(ListTemplate ListTemplate, ObjectRef ContinuePreviousList, ObjectRef ApplyTo, ObjectRef DefaultListBehavior) throws COMException {
        invokeN("ApplyListTemplate", new Object[]{ListTemplate, ContinuePreviousList, ApplyTo, DefaultListBehavior}, 4);
    }
    /**
     * 
     */
    public InlineShape getListPictureBullet() throws COMException {
        return new InlineShape((DispatchPtr) get("ListPictureBullet"));
    }
}
